# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils autotools

SRC_URI="mirror://debian/pool/main/r/${PN}/${PN}_${PV}.orig.tar.gz"
DESCRIPTION="Debian repository creator and maintainer application"
HOMEPAGE="http://packages.debian.org/reprepro"
DEPEND="app-arch/bzip2
	app-arch/gzip
	app-arch/libarchive
	app-crypt/gpgme
	dev-libs/libgpg-error
	>=sys-libs/db-4.3"

KEYWORDS="~amd64 ~arm ~x86"
IUSE="bzip2"
LICENSE="GPL-2"
SLOT="0"

src_unpack() {
	unpack ${A}
	cd "${S}"
	epatch "${FILESDIR}"/${PN}-3.8.1-gpgme-header-check-1.patch
	epatch "${FILESDIR}"/${PN}-3.8.1-db-4_5-1.patch
	eautoreconf
}

src_compile() {
	local myconf="--with-libarchive=yes"
	use bzip2 && myconf="${myconf} --with-libbz2=yes" || myconf="${myconf} --with-libbz2=no"
	econf ${myconf} || die "econf failed"
	emake || die "emake failed"
}

src_install() {
	emake DESTDIR="${D}" install
}
