# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-util/mingw64-runtime/mingw64-runtime-2.0.1.ebuild,v 1.1 2012/03/12 05:26:31 vapier Exp $

export CBUILD=${CBUILD:-${CHOST}}
export CTARGET=${CTARGET:-${CHOST}}
if [[ ${CTARGET} == ${CHOST} ]] ; then
	if [[ ${CATEGORY/cross-} != ${CATEGORY} ]] ; then
		export CTARGET=${CATEGORY/cross-}
	fi
fi

inherit flag-o-matic eutils toolchain-funcs

DESCRIPTION="Free DOS runtime and import library definitions"
HOMEPAGE="http://www.delorie.com/djgpp/"
SRC_URI="ftp://ftp.delorie.com/pub/djgpp/beta/v2/djcrx204.zip"

LICENSE="LGPL GPL"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="crosscompile_opts_headers-only"
RESTRICT="strip"

S=${WORKDIR}

is_crosscompile() {
	[[ ${CHOST} != ${CTARGET} ]]
}
just_headers() {
	use crosscompile_opts_headers-only && [[ ${CHOST} != ${CTARGET} ]]
}

pkg_setup() {
	if [[ ${CBUILD} == ${CHOST} ]] && [[ ${CHOST} == ${CTARGET} ]] ; then
		die "Invalid configuration"
	fi
}

src_unpack() {
	unpack ${A}
	find "${WORKDIR}" -type f -exec touch -r . {} +
}

src_compile() {
	just_headers && return 0

	CHOST=${CTARGET} strip-unsupported-flags
	append-cppflags -isystem "${WORKDIR}/include"
	$(tc-getCC) ${CFLAGS} src/stub/stubify.c -o stubify
	$(tc-getCC) ${CFLAGS} src/stub/stubedit.c -o stubedit

}

src_install() {
	insinto /usr/${CTARGET}/usr/include
	doins -r "${WORKDIR}"/include/* || die
	is_crosscompile \
		&& dosym usr /usr/${CTARGET}/${CTARGET} \
		&& dosym usr/include /usr/${CTARGET}/sys-include
	just_headers && return 0

	insinto /usr/${CTARGET}/lib
	doins -r "${WORKDIR}"/lib/* || die
	into /usr
	newbin stubify ${CTARGET}-stubify
	newbin stubedit ${CTARGET}-stubedit

	env -uRESTRICT CHOST=${CTARGET} prepallstrip
}
