# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"

inherit eutils

DESCRIPTION="geos_one loved tools"
HOMEPAGE="http://linamh.disconnected-by-peer.at"
SRC_URI="http://ftp.disconnected-by-peer.at/pub/overlay/redigest
	http://ftp.disconnected-by-peer.at/pub/overlay/series2epatch
	http://www.linuxfromscratch.org/patches/downloads/MAINTAINER/lfspatch
	http://www.linuxfromscratch.org/patches/downloads/MAINTAINER/checkPatch
	http://www.finn.cz/distclean-0.3.py
	http://dev.gentoo.org/~betelgeuse/scripts/deputils/checkdeps.rb
	http://dev.gentoo.org/~betelgeuse/scripts/deputils/oneelf.rb
	http://dev.gentoo.org/~betelgeuse/scripts/deputils/pkgutil.rb
	http://dev.gentooexperimental.org/~tommy/distfiles/overlay-utils-${PV}.tar.bz2
	http://mirror.meleeweb.net/pub/linux/gentoo/distfiles/overlay-utils-${PV}.tar.bz2"

LICENSE="GPL-2 GPL-3 BSD"
KEYWORDS="~amd64 ~arm ~x86"
RESTRICT="mirror"
SLOT="0"

IUSE=""

DEPEND=""
RDEPEND="app-portage/gentoolkit-dev
	dev-vcs/subversion
	sys-apps/portage
	dev-lang/ruby
	dev-lang/python
	app-portage/portage-utils"

S="${WORKDIR}"/overlay-utils-${PV}

src_prepare() {
	sed -i -e 's/sbin\(\/functions\.sh\)/etc\/init\.d\1/' sunrise-commit || die "sed failed"
	sed -i -e 's/echangelog-tng/go-echangelog-tng/' sunrise-commit || die "sed failed"
	sed -i -e 's/sunrise/go/' sunrise-commit || die "sed failed"
	sed -i -e 's/Sunrise/Geos_One/' sunrise-commit || die "sed failed"
	sed -i -e 's/sunrise/go/' sunrise-commit.1 || die "sed failed"
	sed -i -e 's/Sunrise/Geos_One/' sunrise-commit.1 || die "sed failed"
}

src_install() {
	newbin echangelog-tng go-echangelog-tng || die "dobin failed"
	newbin sunrise-commit go-commit
	newman sunrise-commit.1 go-commit.1
	newbin "${DISTDIR}"/lfspatch go-patch
	dosed "s%nano%mcedit%g" /usr/bin/go-patch
	dosed "s%=\"enabled\"%=\"disabled\"%g" /usr/bin/go-patch
	dosed "s%.org\"%.org\"\n\n. /etc/portage/go-patch%g" /usr/bin/go-patch
	mkdir -p "${D}"/etc/portage
	echo "submitter=\"Your Name\"" > "${D}"/etc/portage/go-patch
	echo "email=\"your@email.address\"" >> "${D}"/etc/portage/go-patch
	newbin "${DISTDIR}"/checkPatch go-checkPatch
	newbin "${DISTDIR}"/distclean-0.3.py go-distclean
	newbin "${DISTDIR}"/redigest go-redigest
	newbin "${DISTDIR}"/series2epatch go-series2epatch
	exeinto /usr/share/${PN}/deputils
	doexe "${DISTDIR}"/checkdeps.rb
	doexe "${DISTDIR}"/oneelf.rb
	doexe "${DISTDIR}"/pkgutil.rb
	dosym /usr/share/${PN}/deputils/checkdeps.rb /usr/bin/go-checkdeps
	dosed "s%pkgutil.rb%/usr/share/${PN}/deputils/pkgutil.rb%g" /usr/share/${PN}/deputils/checkdeps.rb
}
