# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=2

MY_PV=${PV/_p/.pl}

inherit cmake-utils

DESCRIPTION="MARtin Stovers NetWare-Emulator"
HOMEPAGE="http://www.compu-art.de/mars_nwe/"
SRC_URI="http://ftp.disconnected-by-peer.at/ncpfs/mars_nwe-${MY_PV}.tar.bz2"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86"
IUSE=""

RDEPEND="sys-libs/glibc
	sys-libs/gdbm
	|| ( net-fs/ncpfs net-misc/ipx-utils )"
DEPEND="${RDEPEND}"

S="${WORKDIR}/mars_nwe-${MY_PV}"

src_configure() {
	local mycmakeargs=(
	    "-DCMAKE_INSTALL_SYSCONFDIR=/etc")

	cmake-utils_src_configure
}

src_install() {
	keepdir /var/lib/mars_nwe/
	keepdir /var/run/mars_nwe/
	keepdir /var/log/mars_nwe/
	keepdir /var/spool/mars_nwe/

	cmake-utils_src_install

	newinitd "${FILESDIR}"/mars-nwe.initd mars-nwe
}

