# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils java-utils-2

DESCRIPTION="JPing is a network connectivity diagnostic tool"
HOMEPAGE="http://www-10.lotus.com/ldd/sandbox.nsf/ByApplicationName/222294a30361b72888256aa20083873e?OpenDocument"
SRC_URI="jping.zip"

LICENSE="as-is"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE=""

DEPEND="app-arch/unzip
	media-gfx/imagemagick"

RDEPEND="virtual/libc
	>=virtual/jdk-1.3"

S=${WORKDIR}

RESTRICT="mirror strip fetch"

src_unpack() {
	unpack ${A}
	unzip -o JPing2.jar || die "unpacking"
}

src_compile() { :; }

src_install() {
	java-pkg_dojar "${WORKDIR}"/JPing2.jar
	java-pkg_dolauncher jping --jar JPing2.jar --pwd \$\{dotibmdir\} -pre "${FILESDIR}"/jping-2.0-pre

	dohtml "${WORKDIR}"/*.htm
	convert -size 48x48 "${WORKDIR}"/images/JPing2.jpg "${WORKDIR}"/JPing2.png
	doicon "${WORKDIR}"/JPing2.png
	make_desktop_entry jping "JPing diagnostic tool" JPing2.png Network
}

pkg_nofetch() {
	einfo "Please download the appropriate JPing2 archive (${SRC_URI}) from"
	einfo "${HOMEPAGE}"
	einfo ""
	einfo "Then put the file in ${DISTDIR}"
}
