# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=2

MY_P=${P/_p/-}
MY_PV=${PV/_p*/}

inherit autotools eutils multilib

DESCRIPTION="NX compression technology core libraries"
HOMEPAGE="http://www.nomachine.com/developers.php"
SRC_URI="http://web04.nomachine.com/download/${MY_PV}/sources/${MY_P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

RDEPEND=">=media-libs/jpeg-6b-r4
	>=media-libs/libpng-1.2.8
	>=sys-libs/zlib-1.2.3
	!<net-misc/nx-${MY_PV}"

DEPEND="${RDEPEND}"

S=${WORKDIR}/nxcomp

src_prepare() {
	# -fPIC
	epatch "${FILESDIR}"/nxcomp-1.5.0-pic.patch
	# Respect CFLAGS/CXXFLAGS
	epatch "${FILESDIR}"/nxcomp-3.3.0-cflags.patch
	# Run autoreconf in all neeed folders
	eautoreconf
}

src_install() {
	# Install Libs
	dolib libXcomp.a
	dolib.so libXcomp.so*
	# Install Header
	insinto /usr/include/nx
	doins NX*.h MD5.h
}
