# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=2

MY_P=${P/_p/-}
MY_PV=${PV/_p*/}

inherit libtool eutils flag-o-matic

DESCRIPTION="The NX Incarnation of the Enlightened Sound Daemon"
HOMEPAGE="http://www.nomachine.com/developers.php"
SRC_URI="http://web04.nomachine.com/download/${MY_PV}/sources/${MY_P}.tar.gz"

LICENSE="LGPL-2"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 sh sparc x86 ~x86-fbsd"
IUSE="alsa doc ipv6 debug oss tcpd"

COMMON_DEPEND=">=media-libs/audiofile-0.2.3
	media-sound/esound
	!net-misc/nxclient
	alsa? ( media-libs/alsa-lib )
	doc?  ( app-text/docbook-sgml-utils )
	tcpd? ( >=sys-apps/tcp-wrappers-7.6-r2 )"

DEPEND="${COMMON_DEPEND}
	dev-util/pkgconfig"

RDEPEND="${COMMON_DEPEND}"

S=${WORKDIR}/nxesd

src_prepare() {
	epatch "${FILESDIR}/nxesd-3.3.0-esd.patch"
}

src_configure() {
	# Strict aliasing issues
	append-flags -fno-strict-aliasing

	local myconf

	if ! use alsa; then
		myconf="--enable-oss"
	else
		myconf="$(use_enable oss)"
	fi

	econf \
		--sysconfdir=/etc/esd \
		--disable-dependency-tracking \
		$(use_enable ipv6) \
		$(use_enable debug debugging) \
		$(use_enable alsa) \
		--disable-arts \
		--disable-artstest \
		$(use_with tcpd libwrap) \
		${myconf}
}

src_install() {
	dobin .libs/nxesd

	dodoc AUTHORS CHANGELOG MAINTAINERS NEWS README TIPS TODO
}
