# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

ETYPE="sources"
K_WANT_GENPATCHES="base extras"
K_GENPATCHES_VER="16"
K_DEBLOB_AVAILABLE="1"

GOPATCHES_VER="5"
GOPATCHES="go-patches-${PV}-${GOPATCHES_VER}.tar.bz2"
GOPATCHES_URI="http://ftp.disconnected-by-peer.at/go/${GOPATCHES}"

inherit kernel-2
detect_version
detect_arch

KEYWORDS="~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
IUSE=""
HOMEPAGE="http://dev.gentoo.org/~dsd/genpatches http://forge.novell.com/modules/xfmod/project/?apparmor"

DESCRIPTION="Full sources including the Gentoo & Geos One patchset for the ${KV_MAJOR}.${KV_MINOR} kernel tree"

SRC_URI="${KERNEL_URI} ${GENPATCHES_URI} ${ARCH_URI} ${GOPATCHES_URI}"

UNIPATCH_LIST="${DISTDIR}/${GOPATCHES} ${DISTDIR}/${AAPATCHES}"
UNIPATCH_EXCLUDE="6015_3.2.0-ck1.patch"

src_unpack() {
	kernel-2_src_unpack

	# Comment out EXTRAVERSION added by CK patch:
	sed -i -e 's/\(^EXTRAVERSION :=.*$\)/# \1/' "${S}/Makefile"
	find "${WORKDIR}" -iname "*.orig" -exec rm {} \; 2> /dev/null
}

pkg_postinst() {
	kernel-2_pkg_postinst
	einfo "For more info on this patchset, and how to report problems, see:"
	einfo "${HOMEPAGE}"
	einfo
	einfo "Make sure that your kernel configuration file is set with:"
	einfo " CONFIG_SECURITY=y"
	einfo "         CONFIG_SECURITY_APPARMOR=y"
	einfo "Without these, apparmor will not function."
}
